-- this file rebalances the factorissimo tech tree for space age
-- t3 factory buildings are unlocked on vulcanus now!

if not mods["space-age"] then return end

data.raw.technology["factory-architecture-t2"].unit = {
    count = 600,
    ingredients = {
        {"automation-science-pack", 1},
        {"logistic-science-pack",   1},
        {"chemical-science-pack",   1},
        {"space-science-pack",      1},
    },
    time = 45
}
data.raw.technology["factory-architecture-t2"].prerequisites = {
    "factory-architecture-t1",
    "space-science-pack",
    "electric-energy-distribution-1",
}

data.raw.technology["factory-architecture-t3"].unit = {
    count = 2000,
    ingredients = {
        {"automation-science-pack",  1},
        {"logistic-science-pack",    1},
        {"chemical-science-pack",    1},
        {"space-science-pack",       1},
        {"utility-science-pack",     1},
        {"metallurgic-science-pack", 1},
    },
    time = 60
}
data.raw.technology["factory-architecture-t3"].prerequisites = {
    "metallurgic-science-pack",
    "factory-architecture-t2",
    "utility-science-pack",
}

data.raw.recipe["factory-3"].ingredients[2] = {type = "item", name = "tungsten-plate", amount = 2000} -- swap out the steel for tungsten

data.raw.technology["factory-recursion-t2"].unit = {
    count = 5000,
    ingredients = {
        {"automation-science-pack",  1},
        {"logistic-science-pack",    1},
        {"chemical-science-pack",    1},
        {"space-science-pack",       1},
        {"production-science-pack",  1},
        {"utility-science-pack",     1},
        {"metallurgic-science-pack", 1},
    },
    time = 60
}
data.raw.technology["factory-recursion-t2"].prerequisites = {
    "factory-architecture-t3",
    "production-science-pack",
}

data.raw.technology["factory-connection-type-heat"].unit = {
    count = 5000,
    ingredients = {
        {"automation-science-pack",      1},
        {"logistic-science-pack",        1},
        {"chemical-science-pack",        1},
        {"space-science-pack",           1},
        {"production-science-pack",      1},
        {"utility-science-pack",         1},
        {"metallurgic-science-pack",     1},
        {"agricultural-science-pack",    1},
        {"electromagnetic-science-pack", 1},
        {"cryogenic-science-pack",       1},
    },
    time = 60
}
data.raw.technology["factory-connection-type-heat"].prerequisites = {
    "factory-architecture-t3",
    "cryogenic-science-pack",
}

data.raw.technology["factory-connection-type-chest"].unit = {
    count = 1000,
    ingredients = {
        {"automation-science-pack", 1},
        {"logistic-science-pack",   1},
        {"chemical-science-pack",   1},
        {"space-science-pack",      1},
    },
    time = 45
}
data.raw.technology["factory-connection-type-chest"].prerequisites = {
    "factory-architecture-t2",
    "logistic-system"
}

data.raw.technology["factory-connection-type-circuit"].unit = {
    count = 200,
    ingredients = {
        {"automation-science-pack", 1},
        {"logistic-science-pack",   1},
    },
    time = 30
}
data.raw.technology["factory-connection-type-circuit"].prerequisites = {
    "factory-architecture-t1",
    "circuit-network"
}

data.raw.technology["factory-recursion-t1"].unit = {
    count = 2000,
    ingredients = {
        {"automation-science-pack", 1},
        {"logistic-science-pack",   1},
        {"chemical-science-pack",   1},
        {"space-science-pack",      1},
    },
    time = 45
}
data.raw.technology["factory-recursion-t1"].prerequisites = {
    "factory-architecture-t2",
}

data.raw.technology["factory-interior-upgrade-display"].unit = {
    count = 1000,
    ingredients = {
        {"automation-science-pack", 1},
        {"logistic-science-pack",   1},
        {"chemical-science-pack",   1},
        {"space-science-pack",      1},
    },
    time = 45
}
data.raw.technology["factory-interior-upgrade-display"].prerequisites = {
    "factory-architecture-t2",
}

data.raw["storage-tank"]["factory-1"].surface_conditions = {{
    property = "gravity",
    min = 3
}}
data.raw["storage-tank"]["factory-2"].surface_conditions = {{
    property = "gravity",
    min = 3
}}
data.raw["storage-tank"]["factory-3"].surface_conditions = {{
    property = "gravity",
    min = 3
}}
data.raw["electric-pole"]["factory-circuit-connector"].surface_conditions = {{
    property = "gravity",
    min = 3
}}
